Index: /trunk/sources/HeuristicLab.Modeling/3.2/Model.cs
===================================================================
--- /trunk/sources/HeuristicLab.Modeling/3.2/Model.cs	(revision 2222)
+++ /trunk/sources/HeuristicLab.Modeling/3.2/Model.cs	(revision 2223)
@@ -40,4 +40,14 @@
       get { return targetVariable; }
       set { targetVariable = value; }
+    }
+
+    private List<string> inputVariables = new List<string>();
+    public IEnumerable<string> InputVariables {
+      get { return inputVariables; }
+    }
+
+    public void AddInputVariables(string variableName) {
+      if (!inputVariables.Contains(variableName))
+        inputVariables.Add(variableName);
     }
 
@@ -122,5 +132,5 @@
     public double GetVariableQualityImpact(string variableName) {
       if (variableQualityImpacts.ContainsKey(variableName)) return variableQualityImpacts[variableName];
-      else throw new ArgumentException("Impact of variable "+variableName+" is not available.");
+      else throw new ArgumentException("Impact of variable " + variableName + " is not available.");
     }
 
Index: /trunk/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj	(revision 2223)
+++ /trunk/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj	(revision 2223)
@@ -0,0 +1,130 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{31DD6385-7276-49ED-9533-823D4CDF3D2A}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.SQLServerCompact</RootNamespace>
+    <AssemblyName>HeuristicLab.SQLServerCompact-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="HeuristicLabSQLServerCompactPlugin.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="System.Data.SqlServerCe.dll">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <Content Include="x64\sqlceca35.dll" />
+    <Content Include="x64\sqlcecompact35.dll" />
+    <Content Include="x64\sqlceer35EN.dll" />
+    <Content Include="x64\sqlceme35.dll" />
+    <Content Include="x64\sqlceoledb35.dll" />
+    <Content Include="x64\sqlceqp35.dll" />
+    <Content Include="x64\sqlcese35.dll" />
+    <Content Include="x86\sqlceca35.dll" />
+    <Content Include="x86\sqlcecompact35.dll" />
+    <Content Include="x86\sqlceer35EN.dll" />
+    <Content Include="x86\sqlceme35.dll" />
+    <Content Include="x86\sqlceoledb35.dll" />
+    <Content Include="x86\sqlceqp35.dll" />
+    <Content Include="x86\sqlcese35.dll" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /trunk/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs	(revision 2223)
+++ /trunk/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs	(revision 2223)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.SQLServerCompact {
+  [ClassInfo(Name = "HeuristicLab.SQLServerCompact-3.2")]
+  [PluginFile(Filename = "HeuristicLab.SQLServerCompact-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "System.Data.SqlServerCe.dll", Filetype = PluginFileType.Assembly)] 
+  public class HeuristicLabSQLServerCompactPlugin : PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.SQLServerCompact/3.2/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.SQLServerCompact/3.2/Properties/AssemblyInfo.frame	(revision 2223)
+++ /trunk/sources/HeuristicLab.SQLServerCompact/3.2/Properties/AssemblyInfo.frame	(revision 2223)
@@ -0,0 +1,38 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.SQLServerCompact")]
+[assembly: AssemblyDescription("Provides an interface to create and access local SQLServer Compact databases")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("3f5083f8-2738-4573-b230-e9928ef61e6b")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.SupportVectorMachines/3.2/SupportVectorRegression.cs
===================================================================
--- /trunk/sources/HeuristicLab.SupportVectorMachines/3.2/SupportVectorRegression.cs	(revision 2222)
+++ /trunk/sources/HeuristicLab.SupportVectorMachines/3.2/SupportVectorRegression.cs	(revision 2223)
@@ -446,4 +446,5 @@
         double impact = ((DoubleData)row[1]).Data;
         model.SetVariableEvaluationImpact(variableName, impact);
+        model.AddInputVariables(variableName);
       }
       foreach (ItemList row in qualityImpacts) {
@@ -451,4 +452,5 @@
         double impact = ((DoubleData)row[1]).Data;
         model.SetVariableQualityImpact(variableName, impact);
+        model.AddInputVariables(variableName);
       }
 
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 2222)
+++ /trunk/sources/HeuristicLab.sln	(revision 2223)
@@ -235,4 +235,10 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.LinearRegression-3.2", "HeuristicLab.LinearRegression\3.2\HeuristicLab.LinearRegression-3.2.csproj", "{B9A64475-D542-47CF-9688-735F6224F055}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Modeling.Database-3.2", "HeuristicLab.Modeling.Database\3.2\HeuristicLab.Modeling.Database-3.2.csproj", "{E84E5717-79F8-498F-A5E0-A055C4EC086B}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Modeling.Database.SQLServerCompact-3.2", "HeuristicLab.Modeling.Database.SQLServerCompact\3.2\HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj", "{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SQLServerCompact-3.2", "HeuristicLab.SQLServerCompact\3.2\HeuristicLab.SQLServerCompact-3.2.csproj", "{31DD6385-7276-49ED-9533-823D4CDF3D2A}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.GP.Interfaces-3.3", "HeuristicLab.GP.Interfaces\3.3\HeuristicLab.GP.Interfaces-3.3.csproj", "{924B6BEA-9A99-40FE-9334-5C01E8D540EC}"
@@ -3774,4 +3780,104 @@
 		{B9A64475-D542-47CF-9688-735F6224F055}.Visualization Debug|x86.ActiveCfg = Debug|x86
 		{B9A64475-D542-47CF-9688-735F6224F055}.Visualization Debug|x86.Build.0 = Debug|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.CEDMA Debug|x64.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x64.ActiveCfg = Debug|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x64.Build.0 = Debug|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x86.ActiveCfg = Debug|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x86.Build.0 = Debug|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Modeling Debug|x64.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Modeling Debug|x86.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x64.ActiveCfg = Release|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x64.Build.0 = Release|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x86.ActiveCfg = Release|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x86.Build.0 = Release|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.v3.2 Debug|x64.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.v3.2 Debug|x86.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Debug|x64.ActiveCfg = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Debug|x64.Build.0 = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Debug|x86.ActiveCfg = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Debug|x86.Build.0 = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Modeling Debug|x64.Build.0 = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Modeling Debug|x86.Build.0 = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Release|x64.ActiveCfg = Release|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Release|x64.Build.0 = Release|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Release|x86.ActiveCfg = Release|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Release|x86.Build.0 = Release|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|x64.Build.0 = Debug|x64
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.ActiveCfg = Release|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.Build.0 = Release|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.ActiveCfg = Release|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.Build.0 = Release|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x86.Build.0 = Debug|x86
 		{924B6BEA-9A99-40FE-9334-5C01E8D540EC}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{924B6BEA-9A99-40FE-9334-5C01E8D540EC}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -3928,4 +4034,7 @@
 		{C75532C4-765B-418E-B09B-46D36B2ABDB1} = {410732DB-725A-4824-896B-C298978343C0}
 		{B9A64475-D542-47CF-9688-735F6224F055} = {410732DB-725A-4824-896B-C298978343C0}
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B} = {410732DB-725A-4824-896B-C298978343C0}
+		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836} = {410732DB-725A-4824-896B-C298978343C0}
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A} = {410732DB-725A-4824-896B-C298978343C0}
 		{924B6BEA-9A99-40FE-9334-5C01E8D540EC} = {410732DB-725A-4824-896B-C298978343C0}
 		{45D11FBD-A71B-48D3-8A94-8EB0DFE8E06A} = {410732DB-725A-4824-896B-C298978343C0}
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2222)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2223)
@@ -77,4 +77,6 @@
 copy "%SolutionDir%\HeuristicLab.Modeling\3.2\%Outdir%\HeuristicLab.Modeling-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Modeling\3.3\%Outdir%\HeuristicLab.Modeling-3.3.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Modeling.Database\3.2\%Outdir%\HeuristicLab.Modeling.Database-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Modeling.Database.SQLServerCompact\3.2\%Outdir%\HeuristicLab.Modeling.Database.SQLServerCompact-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Operators\3.2\%Outdir%\HeuristicLab.Operators-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Operators\3.3\%Outdir%\HeuristicLab.Operators-3.3.dll" .\plugins
@@ -110,4 +112,6 @@
 copy "%SolutionDir%\HeuristicLab.SQLite\3.2\SQLite License.txt" .\plugins
 copy "%SolutionDir%\HeuristicLab.SQLite\3.2\SQLite.NET.chm" .\plugins
+copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\HeuristicLab.SQLServerCompact-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\System.Data.SqlServerCe.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.StatisticalAnalysis\3.2\%Outdir%\HeuristicLab.StatisticalAnalysis-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.SupportVectorMachines\3.2\%Outdir%\HeuristicLab.SupportVectorMachines-3.2.dll" .\plugins
@@ -132,11 +136,15 @@
 if "%Platform%" == "x86" (   
   copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.dll" .\plugins
+  xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x86\*" .\plugins /e /i
 ) else if "%Platform%" == "x64" ( 
   copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.x64.dll" .\plugins\System.Data.SQLite.dll
+  xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x64\*" .\plugins /e /i
 ) else if "%Platform%" == "AnyCPU" (
   if "%PROCESSOR_ARCHITECTURE%" == "x64" (
     copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.x64.dll" .\plugins\System.Data.SQLite.dll
+     xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x64\*" .\plugins /e /i
   ) else if "%PROCESSOR_ARCHITECTURE%" == "x86" (
     copy /B /Y "%SolutionDir%\HeuristicLab.SQLite\3.2\System.Data.SQLite.dll" .\plugins
+    xcopy "%SolutionDir%\HeuristicLab.SQLServerCompact\3.2\x86\*" .\plugins /e /i
   ) else (
     echo "ERROR: unknown architecture: "%PROCESSOR_ARCHITECTURE%"
